/* Object Rexx (message operator is the tilde: ~); works with Java 1.1 too, 2003-05-10, 2005-06-05 */

-- system=.bsf4rexx~Class.class~forName("java.lang.System")  -- get the class object
-- properties=system~getProperties     -- get the System properties

properties=.bsf4rexx~System.class~getProperties  -- get the System properties

   -- another version: here the BSF4Rexx utility class is employed directly
enum=.bsf~new('org.rexxla.bsf.engines.rexx.EnumerationWrapper', properties~propertyNames)       -- get an enumeration of the property names
say copies("=", 70)

do while enum~hasMoreElements       -- loop over enumeration
   key=enum~nextElement             -- get next element
   say "key:" pp(left(key, 30)) "value:" pp(properties~getProperty(key))
end


::requires BSF.CLS -- get the Object Rexx support for bsf4rexx

::routine pp   -- "cheap man's pretty print"
  return "[" || arg(1) || "]"
